<?php

namespace app\entity\data\user;

use app\entity\data\DataEntity;

class UserSignFugouEntity extends DataEntity
{
    public $id = null;  // 自增id
    public $uid = null;  // 会员id
    public $number = null;  // 赠送数量
    public $status = null;  // 复购金状态1-有效 0-失效 -1待确认
    public $mark = null;  // 备注
    public $desc = null;  // 描述
    public $orderId = null;  // 订单id
    public $surplus = null;  // 剩余
    public $orderType = null;  // 订单类型。关联订单ID
    public $commissionType = null;  // 佣金类型
    public $type = null;  // 复购金类型 :1赠送，2消耗
    public $settlementTime = null;  // 结算时间
    public $addtime = null;  // 添加时间

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     * @return UserSignFugouEntity
     */
    public function setId($id): UserSignFugouEntity
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getUid()
    {
        return $this->uid;
    }

    /**
     * @param mixed $uid
     * @return UserSignFugouEntity
     */
    public function setUid($uid): UserSignFugouEntity
    {
        $this->uid = $uid;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getNumber()
    {
        return $this->number;
    }

    /**
     * @param mixed $number
     * @return UserSignFugouEntity
     */
    public function setNumber($number): UserSignFugouEntity
    {
        $this->number = $number;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param mixed $status
     * @return UserSignFugouEntity
     */
    public function setStatus($status): UserSignFugouEntity
    {
        $this->status = $status;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getMark()
    {
        return $this->mark;
    }

    /**
     * @param mixed $mark
     * @return UserSignFugouEntity
     */
    public function setMark($mark): UserSignFugouEntity
    {
        $this->mark = $mark;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getDesc()
    {
        return $this->desc;
    }

    /**
     * @param mixed $desc
     * @return UserSignFugouEntity
     */
    public function setDesc($desc): UserSignFugouEntity
    {
        $this->desc = $desc;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getOrderId()
    {
        return $this->orderId;
    }

    /**
     * @param mixed $orderId
     * @return UserSignFugouEntity
     */
    public function setOrderId($orderId): UserSignFugouEntity
    {
        $this->orderId = $orderId;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getSurplus()
    {
        return $this->surplus;
    }

    /**
     * @param mixed $surplus
     * @return UserSignFugouEntity
     */
    public function setSurplus($surplus): UserSignFugouEntity
    {
        $this->surplus = $surplus;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getOrderType()
    {
        return $this->orderType;
    }

    /**
     * @param mixed $orderType
     * @return UserSignFugouEntity
     */
    public function setOrderType($orderType): UserSignFugouEntity
    {
        $this->orderType = $orderType;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getCommissionType()
    {
        return $this->commissionType;
    }

    /**
     * @param mixed $commissionType
     * @return UserSignFugouEntity
     */
    public function setCommissionType($commissionType): UserSignFugouEntity
    {
        $this->commissionType = $commissionType;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @param mixed $type
     * @return UserSignFugouEntity
     */
    public function setType($type): UserSignFugouEntity
    {
        $this->type = $type;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getSettlementTime()
    {
        return $this->settlementTime;
    }

    /**
     * @param mixed $settlementTime
     * @return UserSignFugouEntity
     */
    public function setSettlementTime($settlementTime): UserSignFugouEntity
    {
        $this->settlementTime = $settlementTime;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getAddtime()
    {
        return $this->addtime;
    }

    /**
     * @param mixed $addtime
     * @return UserSignFugouEntity
     */
    public function setAddtime($addtime): UserSignFugouEntity
    {
        $this->addtime = $addtime;
        return $this;
    }
}
